@import "./grid.scss";

$solutionSize: 25%;
$mazeColor: #ff84b4;
$solutionColor:$mazeColor;

html,body { height: 100%; margin: 0px; padding: 0px; }
body {
    background:#fff;
}
.cells-row {
    width:100%;
    clear:both;
    height:35px;

    &:nth-child(odd) {
        .cell {
            // border-radius:10px;
        }
    }
    &:nth-child(even) {
        .cell {
            // border-radius:10px;
        }
    }
}
.cell {
    min-width:35px;
    width:35px;
    min-height:35px;
    height:35px;
    display:inline-block;
    box-sizing: border-box;
    border:2px solid transparent;
    position:relative;

    &.north {border-top-color:$mazeColor;}
    &.west {border-left-color:$mazeColor;}
    &.finish {
        background:#c3f3d6;
    }
    &.domokun {
        background:#c5c5c5;
    }
    &.solution {
        &:after, &:before {
            position:absolute;
            content:'';
            border-radius:0px;
            transition:all 0.2s ease-in;
            opacity:0;
        }
        &.up:before, &.down:before {
            width: $solutionSize;
            top: 0;
            bottom:0;
            left: (100% - $solutionSize) / 2;
            background: $solutionColor;
            opacity:1;
        }
        &.left:after, &.right:after {
            left:0;
            right:0;
            height: $solutionSize;
            top: (100% - $solutionSize) / 2;
            background: $solutionColor;
            opacity:1;
        }
        &.up.left:after, &.down.left:after {right:(100% - $solutionSize) / 2;}
        &.up.left:before, &.up.right:before {bottom:(100% - $solutionSize) / 2;}
        &.down.left:before, &.down.right:before {top:(100% - $solutionSize) / 2;}
        &.up.right:after, &.down.right:after {left:(100% - $solutionSize) / 2;}
    }

    &.pony {
        background:#ffd4e5;
    }
    &.pin {
        &:before {
            z-index:10;
            content: '';
            width: 40px;
            height: 40px;
            border-radius: 50% 50% 50% 0;
            background: #000;
            position: absolute;
            -webkit-transform: rotate(-45deg);
            -moz-transform: rotate(-45deg);
            -o-transform: rotate(-45deg);
            -ms-transform: rotate(-45deg);
            transform: rotate(-45deg);
            left: 50%;
            top: -80%;
            margin: 0 0 0 -19px;
        }
        &:after {
            z-index:11;
            content: '';
            width: 17px;
            height: 17px;
            margin: -15px 0 0 -7px;
            background: #fff;
            position: absolute;
            border-radius: 50%;
        }
        &.pony:before {
            background:$mazeColor;
        }
        &.finish:before {
            background:#71b38c;
        }
    }
}
.maze-holder {
    display:inline-block;
    perspective: 1000px;
    position:relative;
    padding-top: 30px;

    .maze {
        background:#fff;
        border-right:2px solid $mazeColor;
        border-bottom:2px solid $mazeColor;
    }

    .loader {
        position:absolute;
        top:0;
        left:0;
        right:0;
        bottom:0;
        background: rgba(255, 255, 255, 0.8);
        z-index: 99;
    }

}
/*.maze-perspective {
    transform: rotateX(40deg);
    padding: 0 100px 40px;
    margin-top: -200px;
}*/

.container-fluid {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}
.row, .container-fluid {height:100%;}
.controls {
    background: #a7d0b8;
    height: 100%;
    text-align:center;
    padding-top:200px;

    h1 {
        font-family: 'Ubuntu', sans-serif;
        font-size: 50px;
        font-weight: 600;
        color: #fff;
    }
}
.centre {
    text-align: center;
}

.btn {
    background: transparent;
    font-size: 15px;
    font-family: Ubuntu;
    border: 1px solid #fff;
    border-radius: 50px;
    padding: 10px 30px;
    color: #fff;
    text-transform: uppercase;
    transition:all 0.2s ease-in;
    margin-bottom:20px;

    &:hover {
        background:rgba(255,255,255,0.2);
        outline:none;
    }
    &:active, &:focus {outline:none;}

    &.full {
        background: #fff;
        color: #a7d0b8;

        &:hover {
            color:#fff;
        }
    }

    &:hover {
        background:rgba(255,255,255,0.2);
        outline:none;
    }

    &.disabled {
        opacity:0.4;
    }
}
.status {
    position: absolute;
    z-index: 9000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align:center;
    background:rgba(255,255,255,0.8);
    z-index:9000;
    img {
        width:70%;
    }
}
